<div class="mt-4 pl-3 pr-3 mb-4">
    <ejs-grid [dataSource]="requestList | filter:searchtext:['type', 'description']" 
    [pageSettings]="gridPageSettings" [allowPaging]="allowPaging" [allowSorting]="true" [sortSettings]='sortOptions'
        [sortSettings]='sortOptions' [toolbar]='toolbarOptions'>
        <e-columns>
            <e-column headerText='{{requestcontent?.RequestType}}' width=10>
                <ng-template #template let-data>
                   <span class="text-capitalize"> {{data?.type}} </span>
                </ng-template>
            </e-column>
            <e-column headerText='{{requestcontent?.Description}}' width=20>
                <ng-template #template let-data>
                    <span class="text-capitalize">  {{data?.description}} </span>
                </ng-template>
            </e-column>
            <e-column field="requested_date" headerText='{{requestcontent?.DateSubmitted}}' width=15 type='datetime'
                [format]="{ type: 'dateTime' , format: 'MM/dd/yyyy hh:mm a' }">
            </e-column>

            <!-- <e-column headerText='Date submitted' width=11 >
            <ng-template #template let-data>
               
                <span *ngFor="let layer of data?.layer"  > 
                    {{layer?.name}}&nbsp;&nbsp;&nbsp;
                </span>
                    
            </ng-template>

        </e-column> -->

            <e-column headerText='{{requestcontent?.Status}}' width=15>
                <ng-template #template let-data>
                    <span class="text-capitalize"> {{data?.status_display}} </span>
                </ng-template>
            </e-column>

            <e-column headerText='{{requestcontent?.DateProcessed}}' width=15>
            <ng-template #template let-data>
                {{data?.processed_date | date: 'MM/dd/yyyy hh:mm a'}}
            </ng-template>
            </e-column>

            <e-column headerText='{{requestcontent?.View}}' width=7>
                <ng-template #template let-data>
                    <img src="assets/images/novartis/next.svg"
                    class="icon-css" alt="View" (click)="openViewPanel(data)" 
                            data-toggle="modal" data-target="#viewRequestModal"
                             data-backdrop='static' data-keyboard='false'>
                </ng-template>
            </e-column>
        </e-columns>
    </ejs-grid>
    <!-- <span class="d-flex float-right top-minus-42" id="customPagerTemplate">
        <span class="text-dark ml-5 mr-2 mt-2 pt-1 text-transform">{{requestcontent?.ResultsPerPage}}</span>
        <span class="mt-1">
          <ejs-dropdownlist name="pageSize" cssClass="e-outline" [dataSource]="['All', '5', '10', '20', '30', '50', '100']"
            value="5" (change)="changePageSize($event)" width="75px">
          </ejs-dropdownlist>
        </span>
      </span> -->
    <app-pagination [show]="allowPaging" (changePage)="changePageSize($event)"></app-pagination>
    <app-view-requests *ngIf="viewRequest" [requestviewlist]='rowData' (closeModalEvent)="onClose($event)"></app-view-requests>
</div>